unit PantallaInformesGenerales;

interface

uses
//Variants, 
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, RdxFrame, ExtCtrls, RdxPaneles, RdxBarras, StdCtrls, RdxBotones,
  Entidades, ActnList;

type
  TfrInformesGenerales = class(TRdxFrame)
    BarraInformes: TRdxBarraSuperior;
    pnlCuerpo: TPanel;
    RdxPanel1: TRdxPanel;
    Panel1: TPanel;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Panel2: TPanel;
    Panel3: TPanel;
    bSeleccionar: TRdxBoton;
    Panel4: TPanel;
    Panel5: TPanel;
    Panel6: TPanel;
    Panel7: TPanel;
    Image2: TImage;
    Panel8: TPanel;
    Panel9: TPanel;
    RdxBoton1: TRdxBoton;
    Panel10: TPanel;
    Label3: TLabel;
    Label4: TLabel;
    Panel11: TPanel;
    Panel17: TPanel;
    Image4: TImage;
    Panel18: TPanel;
    Panel19: TPanel;
    RdxBoton3: TRdxBoton;
    Panel20: TPanel;
    Label7: TLabel;
    Label8: TLabel;
    Panel21: TPanel;
    imgSombra: TImage;
    Panel27: TPanel;
    Image6: TImage;
    Panel28: TPanel;
    Panel29: TPanel;
    RdxBoton5: TRdxBoton;
    Panel30: TPanel;
    Label11: TLabel;
    Label12: TLabel;
    Panel31: TPanel;
    Panel12: TPanel;
    Image3: TImage;
    Panel13: TPanel;
    Panel14: TPanel;
    RdxBoton2: TRdxBoton;
    Panel15: TPanel;
    Label5: TLabel;
    Label6: TLabel;
    Panel16: TPanel;
    Panel22: TPanel;
    Image5: TImage;
    Panel23: TPanel;
    Panel24: TPanel;
    RdxBoton4: TRdxBoton;
    Panel25: TPanel;
    Label9: TLabel;
    Label10: TLabel;
    Panel26: TPanel;
    Acciones: TActionList;
    actListadoMatAlm: TAction;
    actListadoHisMovAlm: TAction;
    actListadoMatObr: TAction;
    actListadoHisObr: TAction;
    actListadoHisMovObr: TAction;
    actListadoMat: TAction;
    procedure actListadoMatAlmExecute(Sender: TObject);
    procedure actListadoHisMovAlmExecute(Sender: TObject);
    procedure actListadoMatObrExecute(Sender: TObject);
    procedure actListadoHisObrExecute(Sender: TObject);
    procedure actListadoHisMovObrExecute(Sender: TObject);
    procedure actListadoMatExecute(Sender: TObject);
  protected
//    function CambiarEntidad(EntidadAnterior, Entidad : TRdxEntidad): Boolean; override;
  public
    constructor Create (AOwner: TComponent); override;
  end;

var
  frInformesGenerales: TfrInformesGenerales;

implementation

{$R *.dfm}

uses
  Tipos, ListadoArticulosAlmacen, ListadoHistoricoMovimientos,
  ListadoArticulosObraHistorica, ListarArticulos;

constructor TfrInformesGenerales.Create(AOwner: TComponent);
begin
  inherited;
//  Entidad := entInformes;
end;

{function TfrInformesCompras.CambiarEntidad(EntidadAnterior, Entidad: TRdxEntidad): Boolean;
begin
  inherited CambiarEntidad(EntidadAnterior, Entidad);
  ConfigurarFrame(Self, Self.Entidad);
end;
}

procedure TfrInformesGenerales.actListadoMatAlmExecute(Sender: TObject);
begin
  Contenido := TfrListadoArticulosAlmacen.Create(Self);
  Contenido.Entidad := entAlmacenFisico;
end;

procedure TfrInformesGenerales.actListadoHisMovAlmExecute(Sender: TObject);
begin
  Contenido := TfrListadoHistoricoMovimientos.Create(Self);
  Contenido.Entidad := entAlmacenFisico;
end;

procedure TfrInformesGenerales.actListadoMatObrExecute(Sender: TObject);
begin
  Contenido := TfrListadoArticulosAlmacen.Create(Self);
  Contenido.Entidad := entAlmacenObra;
end;

procedure TfrInformesGenerales.actListadoHisObrExecute(Sender: TObject);
begin
  Contenido := TfrListadoArticulosObraHistorica.Create(Self);
end;

procedure TfrInformesGenerales.actListadoHisMovObrExecute(Sender: TObject);
begin
  Contenido := TfrListadoHistoricoMovimientos.Create(Self);
  Contenido.Entidad := entAlmacenObra;
end;

procedure TfrInformesGenerales.actListadoMatExecute(Sender: TObject);
begin
  Contenido := TfrListarArticulos.Create(Self);
  Contenido.Modo := Listar;
end;

end.
